import {createElement, createSidebarPage} from "../../_global/scripts/helpers";
import {createSearchForm} from "../../components/search-form/SearchFormComponent";
import {createSearchResults} from "../../components/search-results/SearchResultsComponent";
import {createContact} from "../../components/contact/ContactComponent";
import {OrganisationContactData} from "../../components/contact/ContactData";

export const createSearchEventsPage = ({

}) => {
  const page = createSidebarPage({addPageDetails: false});
  const main = page.main;
  const aside = page.aside;

  main.appendChild(createSearchForm({isExtended: true}));

  const results = createElement('div', ['search-results'], null, main);
  createElement('h2', ['search-hits'], '43 Treffer', results);
  results.appendChild(createSearchResults({type: 'events-extended'}));

  aside.appendChild(createContact({headline: 'Kontakt', contacts: OrganisationContactData}));

  return page.page;
}